interactions:
- request:
    body: '{"messages": [{"role": "user", "content": "Say hello"}], "stream": true,
      "stream_options": {"include_usage": true}}'
    headers:
      Accept:
      - application/json
      Connection:
      - keep-alive
      Content-Length:
      - '115'
      Content-Type:
      - application/json
      User-Agent:
      - X-USER-AGENT-XXX
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      api-key:
      - X-API-KEY-XXX
      authorization:
      - AUTHORIZATION-XXX
      extra-parameters:
      - pass-through
      x-ms-client-request-id:
      - X-MS-CLIENT-REQUEST-ID-XXX
    method: POST
    uri: https://fake-azure-endpoint.openai.azure.com/openai/deployments/gpt-4o-mini/chat/completions?api-version=2024-12-01-preview
  response:
    body:
      string: 'data: {"choices":[],"created":0,"id":"","model":"","object":"","prompt_filter_results":[{"prompt_index":0,"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"jailbreak":{"filtered":false,"detected":false},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}}}]}


        data: {"choices":[{"content_filter_results":{},"delta":{"content":"","refusal":null,"role":"assistant"},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"kK","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}},"delta":{"content":"Hello"},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"AELkdaSG1tO5NZT","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}},"delta":{"content":"!"},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"VbV","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}},"delta":{"content":"
        How"},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}},"delta":{"content":"
        can"},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}},"delta":{"content":"
        I"},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"ku","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}},"delta":{"content":"
        assist"},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"FP6tH04VTqNVn","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}},"delta":{"content":"
        you"},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}},"delta":{"content":"
        today"},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"E0aIEKp9stWlH6","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}},"delta":{"content":"?"},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"hBg","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{},"delta":{},"finish_reason":"stop","index":0,"logprobs":null}],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"iGT82O6VzXyPcA","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[],"created":1769122116,"id":"chatcmpl-D0xlcDvxBE8sfHG0Q8B84MZtlYbab","model":"gpt-4o-mini-2024-07-18","obfuscation":"aFbD","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":{"completion_tokens":10,"completion_tokens_details":{"accepted_prediction_tokens":0,"audio_tokens":0,"reasoning_tokens":0,"rejected_prediction_tokens":0},"prompt_tokens":9,"prompt_tokens_details":{"audio_tokens":0,"cached_tokens":0},"total_tokens":19}}


        data: [DONE]


        '
    headers:
      Content-Type:
      - text/event-stream; charset=utf-8
      Date:
      - Thu, 22 Jan 2026 22:48:35 GMT
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      apim-request-id:
      - APIM-REQUEST-ID-XXX
      azureml-model-session:
      - AZUREML-MODEL-SESSION-XXX
      x-accel-buffering:
      - 'no'
      x-content-type-options:
      - X-CONTENT-TYPE-XXX
      x-ms-client-request-id:
      - X-MS-CLIENT-REQUEST-ID-XXX
      x-ms-deployment-name:
      - gpt-4o-mini
      x-ms-rai-invoked:
      - 'true'
      x-ms-region:
      - X-MS-REGION-XXX
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
